API ReferenceTask Dependency
Retrieves the collection of TaskDependency resources.
Retrieves the collection of TaskDependency resources.
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
Path Parameters
id*string
TaskDependency identifier
Format
uuidQuery Parameters
page?integer
The collection page number
Default
1itemsPerPage?integer
The number of items per page
Range
0 <= value <= 100Default
30type?string
Filter task dependencies by response type.
Value in
- "related"
- "waiting"
- "finished"
- "blocking"
order[type]?string
Default
"asc"Value in
- "asc"
- "desc"
order[task.name]?string
Default
"asc"Value in
- "asc"
- "desc"
order[createdAt]?string
Default
"asc"Value in
- "asc"
- "desc"
source?string
source[]?array<string>
target?string
target[]?array<string>
Response Body
curl -X GET "https://example.com/project/tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08/dependencies"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "task": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "shortCode": "string", "no": 0, "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2", "projectShortCode": "string", "projectName": "string", "projectIsSimple": true, "stage": "9f09bdb0-89bd-4a1a-b468-0312474f1023", "stageName": "string", "board": "a98884d6-3c76-4114-ba9c-216527a5aac1", "boardShortCode": "string", "boardName": "string" }, "type": "waiting", "notifyOnChange": false, "canEdit": true }]